db4o |

# ExtObjectContainer.Set Method

deep update interface to store or update objects.

void Set(
object obj,
int depth
);

#### Parameters

obj
  the object to be stored or updated.
depth
  the depth to which the object is to be updated

#### Remarks

deep update interface to store or update objects.
In addition to the normal storage interface, ObjectContainer#set(Object) , this method allows a manual specification of the depth, the passed object is to be updated.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace | com.db4o.ObjectContainer.Set